Bug 122511 - make visual page up/visual page down key shortcut configurable
Summary: make visual page up/visual page down key shortcut configurable
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kpdf
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Albert Astals Cid
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-22 20:41 UTC by Leo Savernik
Modified: 2015-02-12 14:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Savernik 2006-02-22 20:41:47 UTC
Version:            (using KDE KDE 3.5.1)
Installed from:    Compiled From Sources

While kpdf makes provisions to assign costum shortcuts to navigating up/down one physical page in the displayed medium, scrolling up/down on visual page (i. e. scrolling only about what is worth the height of the viewport) is hardcoded to PgUp/PgDn.

If opening "Configure Shortcuts", one can configure the entries "previous page" and "next page", but there are no such entries "previous visual page" and "next visual page".

If the latter are implemented, I suggest the following default keymapping:
previous visual page: PgUp (altern: Shift+Space)
next visual page: PgDn (altern: Space)

This brings kpdf's behaviour to par with recent versions of acrobat reader on windows.
Comment 1 Albert Astals Cid 2015-02-07 16:49:50 UTC
Thank you for your bug report or feature suggestion.

The "KPDF" application is no longer maintained, and all tickets are now closed.

We recommend to switch to the "Okular" application.

Due to the high number of bugs/suggestions in "KPDF" we are not able to go through all of them and verify if they are still valid in "Okular".

That's why are we asking you to help us by checking if your bug/suggestion is still valid in Okular and if it still is opening a new bug/suggestion against it.

Thank you for your effort in making KDE better :)

(This is an automatic message from the KDE bug triaging team)
Comment 2 Leo Savernik 2015-02-12 14:13:50 UTC
Visual Page Up/Down still cannot be configured as a shortcut in Okular. However, the suggested mappings PgDn/Space and PgUp/Shift+Space have been implemented in Okular satisfying my needs. Thus I refrain from filing a new bug for Okular.